%global _empty_manifest_terminate_build 0
Name:           python-suds-jurko
Version:        0.6
Release:        2
Summary:        Lightweight SOAP client (Jurko's fork)
License:        LGPL-3.0 and GPL-3.0
URL:            http://bitbucket.org/jurko/suds
Source0:        https://files.pythonhosted.org/packages/d0/88/f3bed9b494e0dae26bd55e5f3d527b8244208125024727267e8109956a11/suds-jurko-0.6.zip
BuildArch:      noarch
%description
Lightweight SOAP client (Jurko's fork)

%package -n python3-suds-jurko
Summary:        Lightweight SOAP client (Jurko's fork)
Provides:       python-suds-jurko
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
Conflicts:      python3-suds2
%description -n python3-suds-jurko
Lightweight SOAP client (Jurko's fork)

%package help
Summary:        Lightweight SOAP client (Jurko's fork)
Provides:       python3-suds-jurko-doc
%description help
Lightweight SOAP client (Jurko's fork)

%prep
%autosetup -n suds-jurko-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-suds-jurko -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Aug 17 2021 liusheng <liusheng2048@gmail.com> - 0.6-2
- Add conflict with python3-suds2 package

* Wed Aug 04 2021 OpenStack_SIG <openstack@openeuler.org> - 0.6-1
- Package Spec generate
